gtkglext-0.12.1: Binding to the GTK+ OpenGL Extension

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.OpenGL.Window

Contents

- Class Hierarchy
- Types
- Constructors
- Methods

Description

OpenGL window which is located on-screen

Synopsis

- data GLWindow
- class DrawableClass o => GLWindowClass o
- castToGLWindow :: GObjectClass obj => obj -> GLWindow
- glWindowNew :: GLConfig -> DrawWindow -> IO GLWindow
- glWindowGetWindow :: GLWindow -> IO DrawWindow

# Class Hierarchy

     | GObject
     | +----Drawable
     | +----GLWindow

# Types

data GLWindow Source

Instances

Eq GLWindow |
Ord GLWindow |
GObjectClass GLWindow |
DrawableClass GLWindow |
GLDrawableClass GLWindow |
GLWindowClass GLWindow |

class DrawableClass o => GLWindowClass o Source

Instances

GLWindowClass GLWindow |

castToGLWindow :: GObjectClass obj => obj -> GLWindow Source

# Constructors

glWindowNew Source

Arguments

:: GLConfig |
-> DrawWindow | `window` - the `DrawWindow` to be used as the rendering area.
-> IO GLWindow |

Creates an on-screen rendering area.

# Methods

glWindowGetWindow :: GLWindow -> IO DrawWindow Source

Returns the `DrawWindow` associated with a `GLWindow`.